this.name 		= "saleza.js";
this.author 		= "Ramirez";
this.copyright 		= "June 2010";
this.description 	= "World script for Saleza Aeronautics ship appearances";
this.version 		= "1.1";

"use strict";

this.setUpSystem = function()
{
	// search for presence of Trident Down dependencies
	var shld_1, shld_2, shld_3;
	if (missionVariables.trident_down === null) 
	{
		shld_1 = 0.96; shld_2 = 0.92; shld_3 = 0.98;
	}
	else if (missionVariables.trident_down_completed === "TRUE" && galaxyNumber > 5)
	{
		shld_1 = 0.85; shld_2 = 0.80; shld_3 = 0.90;
	}
	else if (missionVariables.trident_down_completed === "TRUE" && galaxyNumber > 3)
	{
		shld_1 = 0.80; shld_2 = 0.75; shld_3 = 0.85;
	}
	else if (missionVariables.trident_down_completed === "TRUE" && galaxyNumber < 3)
	{
		shld_1 = 0.90; shld_2 = 0.86; shld_3 = 0.94;
	}
        else // default for Trident Down mission
	{
		shld_1 = 0.4; shld_2 = 0.2; shld_3 = 0.7;
	}
		
	this.randomNumber = (Math.random())	
	if (system.government === 7) 
	{		
		if (system.techLevel < 10)
		{
			if (randomNumber > shld_1)
			{
				//system.legacy_addSystemShips("rigel", 1, 0.3)
				//system.legacy_addSystemShips("saiph", 2, 0.6)
                                system.addShips("rigel", 1, this.randomPositionOnRoute(), 5E3)
                                system.addShips("saiph", 1, this.randomPositionOnRoute(), 5E3)
			}
		}
		if (system.techLevel > 9)
		{
			if (randomNumber > shld_1)
				//system.legacy_addSystemShips("bellatrix", 1, 0.3)
                                system.addShips("bellatrix", 1, this.randomPositionOnRoute(), 5E3)
		}
	}
	if (system.government === 3 && system.techLevel > 9)
	{
		if (randomNumber > shld_2)
			//system.legacy_addSystemShips("rigel", 1, 0.4)
                        system.addShips("rigel", 1, this.randomPositionOnRoute(), 5E3)
	}
	if (system.government > 4)
	{
		if (randomNumber > shld_3)
			// v1
                        //system.legacy_addSystemShips("saiph", 1, 0.4)
                        // v2
                        //system.addShipsToRoute("saiph", 1, 0.1 + (Math.random() * 0.7), "wp")
                        // v3
                        system.addShips("saiph", 1, this.randomPositionOnRoute(), 5E3)
	}
}

this.randomPositionOnRoute = function ()
{
    var end = system.mainPlanet.position;
    end.z -= 2 * system.mainPlanet.radius;
    return Vector3D.interpolate([0,0,0], end, Math.random()).add(Vector3D.randomDirectionAndLength(20E3));
}

this.shipWillExitWitchspace = function () 
{
	this.setUpSystem()
}
